> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.astropods.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.astropods.com/_mcp/server.

# List Explore blueprints

GET https://astropods.com/api/v1/explore/blueprints

Reference: https://docs.astropods.com/api-reference/astropods-api/agents/list-explore-blueprints

## Response

### 200

OK

- `agents` (list of AgentResponse, optional)
- `count` (integer, optional)
- `has_more` (boolean, optional)
- `limit` (integer, optional)
- `offset` (integer, optional)

## Types

### AgentResponse

- `account` (string, optional)
- `archived_at` (datetime, optional, nullable)
- `avatar_colors` (any, optional)
- `avatar_url` (string, optional)
- `heart_count` (integer, optional)
- `hearted` (boolean, optional)
- `metrics` (AgentMetrics, optional)
- `name` (string, optional)
- `name_reserved` (boolean, optional)
- `publishers` (list of AgentPublisher, optional)
- `registry` (string, optional)
- `uid` (string, optional)
- `versions` (list of AgentVersionResponse, optional)
- `visibility` (string, optional)

### AgentMetrics

- `deploy_count` (long, optional)
- `lifetime_messages` (long, optional)

### AgentPublisher

- `account` (string, optional)
- `name` (string, optional)

### AgentVersionResponse

- `agent_card` (ParsedAgentCard, optional)
- `build_id` (string, optional)
- `commit_message` (string, optional)
- `commit_sha` (string, optional)
- `published_at` (string, optional)
- `readme` (string, optional)
- `repo_full_name` (string, optional)
- `spec` (map from string to any, optional)
- `validation_warnings` (list of map from string to any, optional)

### ParsedAgentCard

- `authors` (list of AgentCardAuthor, optional)
- `body` (string, optional)
- `capabilities` (list of string, optional)
- `description` (string, optional)
- `integrations` (list of ResolvedIntegration, optional)
- `repository` (AgentCardRepo, optional)
- `tags` (list of string, optional)

### AgentCardAuthor

- `account` (string, optional)
- `name` (string, optional)

### ResolvedIntegration

- `id` (string, optional)
- `known` (boolean, optional)
- `name` (string, optional)

### AgentCardRepo

- `directory` (string, optional)
- `type` (string, optional)
- `url` (string, optional)

## Examples

**Response**

```json
{
  "agents": [
    {
      "account": "string",
      "archived_at": "2024-01-15T09:30:00Z",
      "avatar_url": "string",
      "heart_count": 1,
      "hearted": true,
      "metrics": {
        "deploy_count": 1,
        "lifetime_messages": 1
      },
      "name": "string",
      "name_reserved": true,
      "publishers": [
        {
          "account": "string",
          "name": "string"
        }
      ],
      "registry": "string",
      "uid": "string",
      "versions": [
        {
          "agent_card": {
            "authors": [
              {
                "account": "string",
                "name": "string"
              }
            ],
            "body": "string",
            "capabilities": [
              "string"
            ],
            "description": "string",
            "integrations": [
              {
                "id": "string",
                "known": true,
                "name": "string"
              }
            ],
            "repository": {
              "directory": "string",
              "type": "string",
              "url": "string"
            },
            "tags": [
              "string"
            ]
          },
          "build_id": "string",
          "commit_message": "string",
          "commit_sha": "string",
          "published_at": "string",
          "readme": "string",
          "repo_full_name": "string",
          "spec": {},
          "validation_warnings": [
            {}
          ]
        }
      ],
      "visibility": "string"
    }
  ],
  "count": 1,
  "has_more": true,
  "limit": 1,
  "offset": 1
}
```

**SDK Code**

```python
import requests

url = "https://astropods.com/api/v1/explore/blueprints"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://astropods.com/api/v1/explore/blueprints';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://astropods.com/api/v1/explore/blueprints"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://astropods.com/api/v1/explore/blueprints")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://astropods.com/api/v1/explore/blueprints")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://astropods.com/api/v1/explore/blueprints');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://astropods.com/api/v1/explore/blueprints");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://astropods.com/api/v1/explore/blueprints")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```